/* $Id:$
***************************************************************************

   X server for LibGGI - Basic definitions

   Copyright (C) 1998 Marcus Sundberg	[marcus@ggi-project.org]

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

***************************************************************************
*/

#ifndef _XGGI_H
#define _XGGI_H

#include <ggi/ggi.h>

#define DEFAULT_PTRBUTTONS	5

struct xggiScreenInfo {
	uint32 ptrbuttons;
	int width;
	int height;
	int depth;
	int stride;
	int bitsPerPixel;
	ggi_mode mode;
	const ggi_directbuffer *dbuf;
	char *pfbMemory;
};

extern struct xggiScreenInfo xggiScreen;

extern Bool
xggiScreenInit();

extern void
xggiQueueKeyboardEvent();

extern int
xggiKeybdProc();

extern ggi_visual_t _xggi_visual;
#define MASTER_VIS	_xggi_visual

#define TVAL2TIME(tv)	((tv).tv_sec*1000 + (tv).tv_usec/1000)

#endif /* _XGGI_H */
